%global forgeurl https://github.com/linuxdeepin/dde-shell
%global commit f6b67f66cebdfc51d8fddbd52336028c2d5c4475
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

%global repo dde-shell

Name:           deepin-shell
Version:        1.0.10
Release:        %autorelease
Summary:        Service collection of DDE applications, including dconfig-center
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-shell
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6WaylandCompositor)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(Dtk6Core)
BuildRequires:  cmake(Dtk6Gui)
BuildRequires:  cmake(Dtk6Tools)
BuildRequires:  cmake(Dtk6Widget)
BuildRequires:  cmake(Dtk6DConfig)

BuildRequires:  cmake(TreelandProtocols)
BuildRequires:  cmake(DDEApplicationManager)
BuildRequires:  cmake(DdeTrayLoader)

#BuildRequires:  cmake(WaylandProtocols)
BuildRequires:  wayland-protocols-devel
BuildRequires:  cmake(yaml-cpp)

BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-res)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(systemd)

BuildRequires:  cmake(GTest)

%description
This package provides service collection of DDE applications, including
dconfig-center.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/dde-shell
%{_userunitdir}/dde-shell-plugin@.service
%{_userunitdir}/dde-shell@.service
%{_libdir}/dde-shell/*.so
%{_libdir}/libdde-shell.so.1*
%{_libdir}/libds-notification-shared.so.1*
%{_libdir}/qt6/qml/org/deepin/ds/dock/*.qml
%{_libdir}/qt6/qml/org/deepin/ds/dock/dock-plugin.qmltypes
%{_libdir}/qt6/qml/org/deepin/ds/dock/dock-plugin_qml_module_dir_map.qrc
%{_libdir}/qt6/qml/org/deepin/ds/dock/libdock-plugin.so
%{_libdir}/qt6/qml/org/deepin/ds/dock/qmldir
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/*.qml
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/dock-tray.qmltypes
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/dock-tray_qml_module_dir_map.qrc
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/libdock-tray.so
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/qmldir
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/quickpanel/*.qml
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/quickpanel/libtray-quickpanel.so
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/quickpanel/qmldir
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/quickpanel/tray-quickpanel.qmltypes
%{_libdir}/qt6/qml/org/deepin/ds/dock/tray/quickpanel/tray-quickpanel_qml_module_dir_map.qrc
%{_libdir}/qt6/qml/org/deepin/ds/libdde-shell-plugin.so
%{_libdir}/qt6/qml/org/deepin/ds/notification/*.qml
%{_libdir}/qt6/qml/org/deepin/ds/notification/libnotificationplugin.so
%{_libdir}/qt6/qml/org/deepin/ds/notification/notificationplugin.qmltypes
%{_libdir}/qt6/qml/org/deepin/ds/notification/notificationplugin_qml_module_dir_map.qrc
%{_libdir}/qt6/qml/org/deepin/ds/notification/qmldir
%{_libdir}/qt6/qml/org/deepin/ds/notificationcenter/*.qml
%{_libdir}/qt6/qml/org/deepin/ds/notificationcenter/libnotificationcenterpanelplugin.so
%{_libdir}/qt6/qml/org/deepin/ds/notificationcenter/notificationcenterpanel.qmltypes
%{_libdir}/qt6/qml/org/deepin/ds/notificationcenter/notificationcenterpanel_qml_module_dir_map.qrc
%{_libdir}/qt6/qml/org/deepin/ds/notificationcenter/qmldir
%{_libdir}/qt6/qml/org/deepin/ds/qmldir
%{_datadir}/dde-dock/icons/dcc-setting/dcc-multitasking-view.dci
%{_datadir}/dde-dock/icons/dcc-setting/dcc-search.dci
%{_datadir}/dde-shell/
%{_datadir}/dsg/configs/org.deepin.dde.shell/*.json
%{_datadir}/dsg/configs/org.deepin.ds.dock/*.json

%files devel
%{_includedir}/dde-shell/
%{_libdir}/cmake/DDEShell/
%{_libdir}/libdde-shell.so
%{_libdir}/libds-notification-shared.so

%changelog
%autochangelog
